﻿<?php
	// RECUP DU CONTENU
	$fichiers = scandir('articles');
	$tirages = count($fichiers);
	for($id = 2; $id < $tirages; $id++) {
		$article = fopen('articles/'.$fichiers[$id], 'r');
		$article = fgets($article);
		$article = str_replace('<p> </p>', '', $article);
		$titre = chope_string_entre_deux_delimiteur("<h1>", $article, "</h1>");
		$article = str_replace("<h1>".$titre."</h1>",'', $article);
		$chapo = '';
		$value = $id-2;
		$hour = time() + (24*3600)*$value;
		$titre_formate = str_replace(' ', '-', $titre);
		$fileName = strtolower(sprintf("%04d", $id).'.000.001.'.date('YmdHi', $hour).'.'.$titre_formate.'.xml');
		
		// CREATION DU FICHIER
		$file = fopen('../../data/articles/'.retireAccents($fileName), 'w+');
		
		$file_content = "<?xml version='1.0' encoding='UTF-8'?>
		<document>
		<title><![CDATA[".$titre."]]></title>
		<allow_com></allow_com>
		<template><![CDATA[article.php]]></template>
		<chapo><![CDATA[".$chapo."]]></chapo>
		<content><![CDATA[".$article."]]></content>
		<tags><![CDATA[]]></tags>
		<meta_description><![CDATA[]]></meta_description>
		<meta_keywords><![CDATA[]]></meta_keywords>
		<title_htmltag><![CDATA[]]></title_htmltag>
		<thumbnail><![CDATA[]]></thumbnail>
		<thumbnail_alt><![CDATA[]]></thumbnail_alt>
		<thumbnail_title><![CDATA[]]></thumbnail_title>
		<date_creation><![CDATA[".date('YmdHi', $hour)."]]></date_creation>
		<date_update><![CDATA[".date('YmdHi', $hour)."]]></date_update>
		</document>";
		
		// ECRITURE DANS LE FICHIER
		file_put_contents('../../data/articles/'.retireAccents($fileName), $file_content);
	
	}
	echo '<b>Planification effectuée !</b>';
	
	function chope_string_entre_deux_delimiteur($delimiteur_deb, $text_a_fouiller, $delimiteur_fin)
	{
		$text_a_fouiller = "recalage_auto".$text_a_fouiller;
		$explode_phase_1 = explode($delimiteur_fin, $text_a_fouiller);
		if($explode_phase_1[0] != "")
		{
			$explode_phase_2 = explode($delimiteur_deb, $explode_phase_1[0]);
			if($explode_phase_2[1] != "")
			{
				return $explode_phase_2[1];
			}
		} else {
			return '';
		}
	}
	
function retireAccents($str, $charset='utf-8')
{
    $str = htmlentities($str, ENT_NOQUOTES, $charset);
    
    $str = preg_replace('#&([A-za-z])(?:acute|cedil|caron|circ|grave|orn|ring|slash|th|tilde|uml);#', '\1', $str);
    $str = preg_replace('#&([A-za-z]{2})(?:lig);#', '\1', $str); // pour les ligatures e.g. '&oelig;'
    $str = preg_replace('#&[^;]+;#', '', $str); // supprime les autres caractères
    
    return $str;
}

?>